/*=========================
	IMAGE GRID BLOCK
=========================*/

/* Gradient Applied */
.block-image-grid.gradient-bg {
  background: linear-gradient(180deg, #F6F6F6 0%, #FFF 100%) !important;
  position: relative;
}
.block-image-grid.gradient-bg .angle-shape {
  width: 100%;
  height: 70px;
  background-color: var(--color-n-white);
  clip-path: polygon(0% 100%, 105% 0%, 0% 0%);
  position: absolute;
  top: 0;
  left: 0;
}

/* Block Styles */
.block-image-grid .container {
  display: grid;
  grid-template-columns: minmax(0, 450px) 1fr;
  gap: var(--space-5);
  align-items: center;
}

.block-image-grid .content {
  text-align: center;
}

.block-image-grid .content .logo {
  max-width: 75px;
  max-height: 75px;
  margin: 0 auto var(--space-3) auto;
}

.block-image-grid .content title {
  margin-bottom: var(--sapce-3);
}

.block-image-grid .content .copy {
    margin-top: var(--space-4);
  margin-bottom: var(--space-4);
}
.block-image-grid .content a {
  margin: 0 auto;
}


/* Image Cards */
.block-image-grid .container .cards {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  row-gap: var(--space-4);
  column-gap: var(--space-5);
}

.block-image-grid .cards .item .image {
  width: 100%;
  height: 200px;
  margin-bottom: var(--space-3);
  position: relative;
  transition: 0.15s;
}

.block-image-grid .cards .item .image:hover:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background-color: #000;
    opacity: .5;
    z-index: 99999;
}

.block-image-grid .cards .item .image img {
  object-fit: cover;
  position: absolute;
  inset: 0;
}

.block-image-grid .cards .item .link {
  color: var(--color-n-white) !important;
  text-decoration: none !important;
}

.block-image-grid.gradient-bg .cards .item .link,
.block-image-grid.bg-color-n-white .cards .item .link {
  color: var(--color-p) !important;
}


@media only screen and (max-width: 992px) {
  .block-image-grid .container {
    grid-template-columns: 1fr;
    gap: var(--space-6);
  }
  .block-image-grid .container .cards {
    grid-template-columns: repeat(2, 1fr);
    gap: var(--space-4);
  }
  .block-image-grid .cards .item .image {
    margin-bottom: var(--space-2);
  }
}

@media only screen and (max-width: 578px) {
  .block-image-grid.gradient-bg .angle-shape {
    height: 45px;
  }
  .block-image-grid .content .logo {
    max-width: 45px;
    max-height: 45px;
  }
  .block-image-grid .container .cards {
    column-gap: var(--space-3);
  }
  .block-image-grid .cards .item .image {
    height: 120px;
  }
}
